#ifndef JOINCHANNELSERVICE_HPP 
#define JOINCHANNELSERVICE_HPP

#include "../Service.hpp"
#include <string>

namespace mole {

    namespace serv {
	class JoinChannelResponse;

	class JoinChannelService : public Service {

	    public :
		JoinChannelService(mole::ctx::Request *);
		JoinChannelService();
		~JoinChannelService();

		JoinChannelResponse * getResponse();

		Service * newInvocableService(mole::ctx::Request * r);

	    protected :
	};

    }; // end serv

}; // end mole

#endif
